Notification Settings
Get notification settings
Retrieve all notification settings for a user, organized by category (app and email notifications).
GET
/
b2b
/
notification-settings
Get notification settings
curl --request GET \
--url https://{host}/b2b/notification-settings \
--header 'Authorization: Bearer <token>' \
--header 'x-user-id: <x-user-id>'import requests
url = "https://{host}/b2b/notification-settings"
headers = {
"x-user-id": "<x-user-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-user-id': '<x-user-id>', Authorization: 'Bearer <token>'}
};
fetch('https://{host}/b2b/notification-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app": [
{
"category": "Activity",
"notifications": [
{
"id": "app_transactional",
"name": "Transactional notifications",
"description": "Buys, sells, deposits, dividends, etc",
"active": true
}
]
},
{
"category": "Market insights",
"notifications": [
{
"id": "app_learning_guide",
"name": "Learning guides",
"description": "Updates for new educational guides",
"active": true
},
{
"id": "app_analyst_insight",
"name": "Analysis",
"description": "Investment ideas, research, insights",
"active": false
},
{
"id": "app_quick_take",
"name": "Quick takes",
"description": "Bit-sized insights to start your day",
"active": true
},
{
"id": "app_daily_recap",
"name": "Morning Update",
"description": "Portfolio summary & news digest",
"active": true
},
{
"id": "app_weekly_review",
"name": "Weekly reviews",
"description": "A weekly summary of market news",
"active": false
}
]
},
{
"category": "Offers",
"notifications": [
{
"id": "app_promotional",
"name": "Promos & special offers",
"description": "Free shares, rewards & gifts",
"active": false
}
]
}
],
"email": [
{
"category": "Activity",
"notifications": [
{
"id": "email_transactional",
"name": "Transactional emails",
"description": "Updates on your account & activity",
"active": true
}
]
},
{
"category": "Newsletters",
"notifications": [
{
"id": "email_wealthybites",
"name": "Wealthybites",
"description": "Weekly summary of your portfolio, news & highlights",
"active": true
}
]
},
{
"category": "Offers",
"notifications": [
{
"id": "email_promotional",
"name": "Promos & special offers",
"description": "Free shares, rewards & gifts",
"active": false
}
]
}
]
}Authorizations
Auth0-issued access token that includes the scopes listed for the endpoint.
Headers
MongoDB identifier of the user whose notification settings are being accessed or modified.
Pattern:
^[a-f0-9]{24}$Example:
"507f1f77bcf86cd799439011"
Response
Notification settings retrieved successfully
Complete notification settings for a user, organized by notification type (app/email) and category.
Both app and email are optional in the schema for flexibility, but in practice they will always
be present since notification settings are created during user creation.
Category names, notification names, and descriptions are localised based on the user's language preference.
Previous
Update notification settingUpdate a specific notification setting for a user by setting ID.
Next
⌘I
Get notification settings
